Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlaed6

    java.lang.Object
      org.netlib.lapack.Dlaed6

    public class Dlaed6

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAED6 computes the positive or negative root (closest to the origin)
     *  of
     *                   z(1)        z(2)        z(3)
     *  f(x) =   rho + --------- + ---------- + ---------
     *                  d(1)-x      d(2)-x      d(3)-x
     *
     *  It is assumed that
     *
     *        if ORGATI = .true. the root is between d(2) and d(3);
     *        otherwise it is between d(1) and d(2)
     *
     *  This routine will be called by DLAED4 when necessary. In most cases,

     *  the root sought is the smallest in magnitude, though it might not be

     *  in some extremely rare situations.
     *
     *  Arguments
     *  =========
     *
     *  KNITER       (input) INTEGER
     *               Refer to DLAED4 for its significance.
     *
     *  ORGATI       (input) LOGICAL
     *               If ORGATI is true, the needed root is between d(2) and
     *               d(3); otherwise it is between d(1) and d(2).  See
     *               DLAED4 for further details.
     *
     *  RHO          (input) DOUBLE PRECISION
     *               Refer to the equation f(x) above.
     *
     *  D            (input) DOUBLE PRECISION array, dimension (3)
     *               D satisfies d(1) < d(2) < d(3).
     *
     *  Z            (input) DOUBLE PRECISION array, dimension (3)
     *               Each of the elements in z must be positive.
     *
     *  FINIT        (input) DOUBLE PRECISION
     *               The value of f at 0. It is more accurate than the one
     *               evaluated inside this routine (if someone wants to do
     *               so).
     *
     *  TAU          (output) DOUBLE PRECISION
     *               The root of the equation f(x).
     *
     *  INFO         (output) INTEGER
     *               = 0: successful exit
     *               > 0: if INFO = 1, failure to converge
     *
     *  Further Details
     *  ===============
     *
     *  30/06/99: Based on contributions by
     *     Ren-Cang Li, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  10/02/03: This version has a few statements commented out for thread

     *  safety (machine parameters are computed on each entry). SJH.
     *
     *  05/10/06: Modified from a new version of Ren-Cang Li, use
     *     Gragg-Thornton-Warner cubic convergent scheme for better stability
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlaed6()`

Method Summary
`static void` | `dlaed6(int kniter, boolean orgati, double rho, double[] d, int _d_offset, double[] z, int _z_offset, double finit, doubleW tau, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlaed6

    public Dlaed6()

Method Detail

### dlaed6

    public static void dlaed6(int kniter,
                              boolean orgati,
                              double rho,
                              double[] d,
                              int _d_offset,
                              double[] z,
                              int _z_offset,
                              double finit,
                              doubleW tau,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD